Bug 158915 - [PATCH] net-mgmt/circe: update to 0.2.1
Summary: [PATCH] net-mgmt/circe: update to 0.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-14 18:50 UTC by linpct
Modified: 2011-07-17 14:40 UTC (History)
1 user (show)

See Also:


Attachments
circe-0.2.1.patch (1.43 KB, patch)
2011-07-14 18:50 UTC, linpct
no flags Details | Diff
circe-0.2.1.patch (1.37 KB, patch)
2011-07-16 01:48 UTC, Hao Bryan Cheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2011-07-14 18:50:08 UTC
- Update to 0.2.1

Port maintainer (circe-port-maintainers@bws.berkeley.edu) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-07-14 18:50:32 UTC
Maintainer of net-mgmt/circe,

Please note that PR ports/158915 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/158915

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-07-14 18:50:35 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Hao Bryan Cheng 2011-07-14 23:00:04 UTC
> Please note that PR ports/158915 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

Hello,

We approve the patch to net-mgmt/circe as listed in PR ports/158915.

Please make the following change to Makefile:

--- Makefile.orig       2011-07-14 17:07:11.000000000 -0700
+++ Makefile    2011-07-14 17:07:48.000000000 -0700
@@ -1,5 +1,5 @@
 # New ports collection makefile for: circe
-# Date created:                23 July 2010
+# Date created:                14 July 2011
 # Whom:                        Berkeley NAC-Team
 #
 # $FreeBSD: ports/net-mgmt/circe/Makefile,v 1.2 2011/07/02 11:19:00 miwi
Exp $
@@ -25,7 +25,8 @@
               
${SITE_PERL}/Regexp/Common.pm:${PORTSDIR}/textproc/p5-Regexp-Common \
               
${SITE_PERL}/Getopt/Long.pm:${PORTSDIR}/devel/p5-Getopt-Long \
               
${SITE_PERL}/mach/BerkeleyDB.pm:${PORTSDIR}/databases/p5-BerkeleyDB \
-              
${SITE_PERL}/Proc/PID/File.pm:${PORTSDIR}/devel/p5-Proc-PID-File
+              
${SITE_PERL}/Crypt/CBC.pm:${PORTSDIR}/security/p5-Crypt-CBC \
+              
${SITE_PERL}/Proc/PID/File.pm:${PORTSDIR}/devel/p5-Proc-PID-File 
 
 MANCOMPRESSED= no

Thanks,

-- 
Hao "Bryan" Cheng

Lead Unix Systems Administrator for Network Access Control
Residential Computing
UC Berkeley
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-07-15 01:32:32 UTC
State Changed
From-To: feedback->open

Maintainer approved, with certain suggested changes.
Comment 5 Hao Bryan Cheng 2011-07-15 02:34:30 UTC
I am also unsure about the removal of %%SITE_PERL%%/LibNAC.pm from the
pkg-plist. Does this perl module not belong in the packing list? I was
under the impression that all files installed on the system as a result
of port installation should be listed. We have contacted the original
patch submitter but he has not yet replied.

I apologize for the confusion; once this is resolved, I will submit the
full patch in its entirety to facilitate committing the changes.

Thanks,
-- 
Hao "Bryan" Cheng

Lead Unix Systems Administrator for Network Access Control
Residential Computing
University of California, Berkeley
Comment 6 Hao Bryan Cheng 2011-07-16 01:48:56 UTC
Hello,

The following patch was sent to me and the bugs list by the original
submitter but it does not seem as if it made it to this pr. I'm
forwarding his reply and patch here.


-------- Forwarded Message --------
From: Daniel Lin <linpct@gmail.com>
Reply-to: Circe Port Maintainers
<circe-port-maintainers@bws.berkeley.edu>
To: linimon@freebsd.org
Cc: circe-port-maintainers@bws.net.berkeley.edu,
freebsd-ports-bugs@freebsd.org
Subject: Re: [circe-port-maintainers] ports/158915: [PATCH]
net-mgmt/circe: update to 0.2.1
Date: Fri, 15 Jul 2011 10:13:56 +0800

Hi, All,


    I miss perl file, please use this patch instead, thanks.

 
On Fri, Jul 15, 2011 at 8:32 AM, <linimon@freebsd.org> wrote:
        Synopsis: [PATCH] net-mgmt/circe: update to 0.2.1
        
        
        State-Changed-From-To: feedback->open
        State-Changed-By: linimon
        State-Changed-When: Fri Jul 15 00:32:32 UTC 2011
        State-Changed-Why:
        Maintainer approved, with certain suggested changes.
        
        
        http://www.freebsd.org/cgi/query-pr.cgi?pr=158915
        



-- 
Daniel Lin (pct)

_______________________________________________
circe-port-maintainers mailing list
circe-port-maintainers@bws.berkeley.edu
http://bws.berkeley.edu/mailman/listinfo/circe-port-maintainers
Comment 7 Tilman Keskinoz freebsd_committer 2011-07-17 14:32:26 UTC
State Changed
From-To: open->closed

committed, thanks
Comment 8 dfilter service freebsd_committer 2011-07-17 14:32:31 UTC
arved       2011-07-17 13:32:18 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/circe       Makefile distinfo 
  Log:
  Update to 0.21
  
  PR:             158915
  Submitted by:   Jin-Sih Lin <linpct@gmail.com>, maintainer
  
  Revision  Changes    Path
  1.3       +2 -1      ports/net-mgmt/circe/Makefile
  1.3       +2 -2      ports/net-mgmt/circe/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"